> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audioshake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Storage Integration

Delete a storage integration by its `id`.


## OpenAPI

````yaml DELETE /storage-integrations/{id}
openapi: 3.1.0
info:
  title: AudioShake API
  version: 1.0.0
  description: >-
    API for AI-powered audio source separation, stem extraction, and
    transcription.
  license:
    name: Proprietary
    url: https://www.audioshake.ai/terms
  contact:
    name: AudioShake
    url: https://audioshake.ai
servers:
  - url: https://api.audioshake.ai
security:
  - apiKey: []
tags:
  - name: assets
    description: Audio and media file assets managed by AudioShake
  - name: tasks
    description: Stem separation, source separation, and transcription alignment tasks
  - name: models
    description: Available processing models with access and pricing
  - name: storage-integrations
    description: Customer-managed storage for reading inputs and writing task outputs
paths:
  /storage-integrations/{id}:
    delete:
      tags:
        - storage-integrations
      summary: Delete a storage integration
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: Storage integration ID
      responses:
        '204':
          description: No content
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.